GDB (xrefs)

Classes | Functions | Variables
/tmp/gdb-8.1/gdb/main.h File Reference

Go to the source code of this file.

## Classes
struct | captured_main_args

## Functions
int | gdb_main (struct captured_main_args *)
char * | windows_get_absolute_argv0 (const char *argv0)
const char * | get_gdb_program_name (void)
void | set_gdb_data_directory (const char *new_data_dir)

## Variables
int | return_child_result
int | return_child_result_value
int | batch_silent
int | batch_flag

## Function Documentation

## ◆ gdb_main()

int gdb_main | ( | struct captured_main_args * |  | ) |

Definition at line 1168 of file main.c.

References captured_main(), CATCH, END_CATCH, exception_print(), gdb_stderr, RETURN_MASK_ALL, and TRY.

Referenced by main().

## ◆ get_gdb_program_name()

const char* get_gdb_program_name | ( | void |  | ) |

Definition at line 96 of file main.c.

References gdb_program_name.

## ◆ set_gdb_data_directory()

void set_gdb_data_directory | ( | const char * | new_data_dir | ) |

Definition at line 108 of file main.c.

References _, fprintf_unfiltered(), gdb_abspath(), gdb_datadir, gdb_realpath(), gdb_stderr, print_sys_errmsg(), warning(), and xfree().

Referenced by captured_main_1(), and set_gdb_datadir().

## ◆ windows_get_absolute_argv0()

char* windows_get_absolute_argv0 | ( | const char * | argv0 | ) |

Definition at line 34 of file mingw-hdep.c.

Referenced by captured_main_1().

## Variable Documentation

## ◆ batch_flag

int batch_flag

Definition at line 79 of file main.c.

Referenced by captured_main_1(), fputs_maybe_filtered(), init_page_info(), input_interactive_p(), set_batch_flag_and_restore_page_info::set_batch_flag_and_restore_page_info(), and set_batch_flag_and_restore_page_info::~set_batch_flag_and_restore_page_info().

## ◆ batch_silent

int batch_silent

Definition at line 82 of file main.c.

Referenced by captured_main_1(), and gdb_setup_readline().

## ◆ return_child_result

int return_child_result

Definition at line 87 of file main.c.

Referenced by captured_main_1(), and quit_force().

## ◆ return_child_result_value

int return_child_result_value

Definition at line 88 of file main.c.

Referenced by handle_inferior_event_1(), and quit_force().